- Qt 5.3
- Qt Multimedia
- C++ Classes
- QMediaServiceCameraInfoInterface
- Qt 5.3.2 Reference Documentation

# QMediaServiceCameraInfoInterface Class

The QMediaServiceCameraInfoInterface class interface provides camera-specific information about devices supported by a camera service plug-in. More...

Header: | `#include <QMediaServiceCameraInfoInterface>`
qmake: | `QT += multimedia`
Since: | Qt 5.3

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaServiceCameraInfoInterface()
virtual int | cameraOrientation(const QByteArray & device) const = 0
virtual QCamera::Position | cameraPosition(const QByteArray & device) const = 0

## Detailed Description

The QMediaServiceCameraInfoInterface class interface provides camera-specific information about devices supported by a camera service plug-in.

A QMediaServiceProviderPlugin may implement this interface, in that case it also needs to implement the QMediaServiceSupportedDevicesInterface.

## Member Function Documentation

### QMediaServiceCameraInfoInterface::~QMediaServiceCameraInfoInterface()`[virtual]`

### int QMediaServiceCameraInfoInterface::cameraOrientation(const QByteArray & device) const`[pure virtual]`

Returns the physical orientation of a camera device supported by a camera service plug-in.

### QCamera::Position QMediaServiceCameraInfoInterface::cameraPosition(const QByteArray & device) const`[pure virtual]`

Returns the physical position of a camera device supported by a camera service plug-in.